meta-pkgs/kf5 - The NetBSD Packages Collection

"meta-package" for the KDE Frameworks 5

Frameworks 5 is the next generation of KDE libraries, modularized and
optimized for easy integration in Qt applications. The Frameworks offer a
wide variety of commonly needed functionality in mature, peer reviewed
and well tested libraries with friendly licensing terms. There are over
70 different Frameworks as part of this release providing solutions
including hardware integration, file format support, additional widgets,
plotting functions, spell checking and more. Many of the Frameworks are
cross platform and have minimal or no extra dependencies making them easy
to build and add to any Qt application.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

misc/attica-qt5 sysutils/baloo5 graphics/breeze-icons x11/frameworkintegration x11/kactivities5 x11/kactivities-stats textproc/kapidox archivers/karchive security/kauth devel/kbookmarks time/kcalendarcore devel/kcmutils textproc/kcodecs textproc/kcompletion devel/kconfig x11/kconfigwidgets misc/kcontacts devel/kcoreaddons devel/kcrash sysutils/kdbusaddons devel/kdeclarative x11/kded x11/kdesignerplugin security/kdesu net/kdnssd devel/kdoctools misc/kemoticons sysutils/kfilemetadata5 x11/kglobalaccel x11/kguiaddons time/kholidays devel/ki18n graphics/kiconthemes devel/kidletime graphics/kimageformats x11/kinit devel/kio x11/kirigami2 devel/kitemmodels x11/kitemviews x11/kjobwidgets net/knewstuff devel/knotifications devel/knotifyconfig devel/kpackage devel/kparts devel/kpeople graphics/kplotting devel/kpty devel/krunner devel/kross devel/kservice devel/ktexteditor x11/ktextwidgets misc/kunitconversion security/kwallet devel/kwayland x11/kwidgetsaddons x11/kwindowsystem x11/kxmlgui net/kxmlrpcclient graphics/oxygen-icons x11/plasma-framework graphics/prison x11/qqc2-desktop-style sysutils/solid textproc/sonnet textproc/syntax-highlighting devel/threadweaver

Available binary packages

aarch64:kf5-5.70.0.tgz(NetBSD 9.0)
aarch64:kf5-5.70.0.tgz(NetBSD 9.0)
i386:kf5-5.70.0.tgz(NetBSD 9.0)
i386:kf5-5.70.0.tgz(NetBSD 9.0)
i386:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)
x86_64:kf5-5.70.0.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]